<template>
  <div class="items">
    <nuxt-link class="ava" :to="'/' + product.shared_url">
      <img :src="resizeImage(baseImageUrl + product.thumbnail, 300, 300)" />
    </nuxt-link>
    <div class="content">
      <h4 class="name">
        <nuxt-link :to="'/' + product.shared_url">{{ product.name }}</nuxt-link>
      </h4>
      <div class="ch">
        <strong>{{ product.options.length }}</strong>
        cấu hình tùy chọn
      </div>
    </div>
    <div class="content_2">
      <div class="price">
        Giá từ:
        <strong>
          {{ (product.sale_from_price || product.from_price) | formatNumber }}
        </strong>
        <div v-if="product.sale_from_price" class="price_old">
          {{ product.from_price | formatNumber }}
        </div>
      </div>
      <div class="note">
        <img src="/css/images/icons/color.svg" />
        Nhiều màu sắc
      </div>
      <div class="more">
        <div class="changer_color">
          <div>Trắng</div>
          <ul>
            <li
              v-for="(option, index) in product.options"
              :key="index"
              :class="index === 0 ? 'active' : ''"
            >
              <a href="javascript:;">
                <img
                  :src="resizeImage(baseImageUrl + option.thumbnail, 300, 300)"
                />
              </a>
            </li>
          </ul>
        </div>
        <div v-if="product.outstandings" class="desc-global">
          <span v-for="out in product.outstandings" :key="out">
            {{ out + ', ' }}
          </span>
        </div>
        <div class="more_btn">
          <a class="btn-default color-white add-cart" href="javascript:;">
            Thêm vào giỏ hàng
          </a>
          <!-- <a class="btn-default white add-compare" href="javascript:;">Thêm vào so sánh</a> -->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductLaptop',
  // eslint-disable-next-line vue/require-prop-types
  props: ['product'],
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>

<style></style>
